Bug 3123 - missing control(8) support
: missing control(8) support
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/XFree86-server)
: unstable
: all Linux
: P5 blocker
Assigned To:
:
:
:
:
: 3005
  Show dependency tree
 
Reported: 2003-10-06 14:50 by
Modified: 2007-04-06 15:51 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-10-06 14:50:38
These should be added to XFree86-server: 
 
1. 
%install 
[...] 
chmod 700 %buildroot%_x11bindir/XFree86 
 
2. 
PreReq: xfree86-server-control 
 
3. 
%pre server 
/usr/sbin/groupadd -r -f xgrp 
if [ $1 -ge 2 ]; then 
	/usr/sbin/control-dump xfree86-server 
fi 
 
%post server 
if [ $1 -ge 2 ]; then 
	/usr/sbin/control-restore xfree86-server 
else 
	/usr/sbin/control xfree86-server public 
fi 
 
4. 
%files server 
[...] 
%_x11bindir/XFree86
------- Comment #1 From 2003-10-07 10:02:01 -------
fixed: некто Dmitry Levin собрал пакет xfree86-server-control-1.0-alt1.src.rpm,
за что ему большое спасибо.
------- Comment #2 From 2003-10-08 11:44:02 -------
You should add support to XFree86-server as well. 
------- Comment #3 From 2003-10-20 14:34:30 -------
fixed (XFree86-server-4.3.0-alt5)